bsiddiqui bsiddiqui - 5 months ago 19
Ruby Question

Trouble install CocoaPods

Whenever I try and gem install cocoapods I get an error

Basil-MBP:Magic8Ball Basil$ gem install cocoapods
Fetching: cocoapods-0.16.1.gem (100%)
Successfully installed cocoapods-0.16.1
1 gem installed
Installing ri documentation for cocoapods-0.16.1...
Installing RDoc documentation for cocoapods-0.16.1...
ERROR: While generating documentation for cocoapods-0.16.1
... MESSAGE: "\xE2" from ASCII-8BIT to UTF-8
... RDOC args: --op /Users/Basil/.rvm/gems/ruby-1.9.3-p327@rails329/doc/cocoapods-0.16.1/rdoc lib --title cocoapods-0.16.1 Documentation --quiet


It works if I sudo gem install cocoapods but then "pods setup" doesn't work

Answer

You can install the gem without the docs with gem install cocoapods --no-rdoc --no-ri

Comments